<?xml version="1.0" encoding="utf-8"?>
<!--
/*
**
** Copyright 2008, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License");
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->

<manifest
    xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.android.wallpaper.livepicker">

    <original-package android:name="com.android.wallpaper.livepicker" />

    <uses-permission android:name="android.permission.ACCESS_MTK_MMHW" />
    <uses-permission android:name="android.permission.SET_WALLPAPER_COMPONENT" />
    <uses-permission android:name="android.permission.BIND_WALLPAPER" />

    <application
        android:label="@string/application_name"
        android:icon="@drawable/ic_launcher_live_wallpaper">

        <activity android:name="LiveWallpaperActivity"
            android:icon="@drawable/ic_launcher_live_wallpaper"
            android:label="@string/live_wallpaper_picker_label"
            android:theme="@style/LivePickerTheme"
            android:hardwareAccelerated="true">
            <intent-filter>
                <action android:name="android.service.wallpaper.LIVE_WALLPAPER_CHOOSER" />
                <action android:name="android.intent.action.SET_WALLPAPER" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
            <meta-data android:name="android.wallpaper.preview"
                android:resource="@xml/wallpaper_picker_preview" />
        </activity>

        <activity android:name="LiveWallpaperPreview"
            android:icon="@drawable/ic_launcher_live_wallpaper"
            android:label="@string/live_wallpaper_preview_title"
            android:theme="@style/Preview" />
    </application>

</manifest>
